### Method

# ECal Component get_rrule_properties

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_rrule_properties (
      ECalComponent* comp
    )

#### Description [src]

Queries a list of recurrence rule properties of a calendar component object. Free the list with g_slist_free_full (slist, g_object_unref);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `ICalProperty*`

A list of recurrence rule properties.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.